Subject: Re: bug#71123: [PATCH] Rename `subr-native-elisp` to `native-comp-function`

From: Eli Zaretskii <[email-masked]>
Date: Fri, 24 May 2024 10:37:24 +0300

> Cc: Stefan Monnier <[email-masked]>
> From: Andrea Corallo <[email-masked]>
> Date: Fri, 24 May 2024 03:17:30 -0400
> 
> Stefan Monnier via "Bug reports for GNU Emacs, the Swiss army knife of
> text editors" <[email-masked]> writes:
> 
> > Tags: patch
> >
> > I can't remember where someone requested a nicer name than
> > `subr-native-elisp`, but here's a patch which aims to do that.
> >
> > AFAICT we do not need to preserve the *type* `subr-native-elisp` because
> > it was never exposed to ELisp before Emacs-30 anyway.  So the only
> > backward compatibility needed is the `subr-native-elisp-p` function.
> >
> > I chose `native-comp-function` as the new name based on a few
> > `grep`s through our C code which suggested that `native-comp-` is the
> > most "popular" prefix in there from code related to native compilation.
> >
> > I don't have a strong preference, so if there's a consensus around
> > another name, I'll happily change the patch accordingly.
> 
> Hi Stefan,
> 
> I don't have a strong opinion about renaming this, at the time I called
> it subr- something as in my mind it was really a subr from an ABI stand
> point of view.  So yeah my implementor view was probably biased
> technically.
> 
> For this reason I'm not opposed to this change but I'd like to hear
> Eli's opinion.

I don't like renaming in general (it increases the mess we have, and
makes it harder to remember things).  But in this case I don't object,
since this particular term is used only very rarely (provided that all
the adverse consequences you mention are fixed, of course).